Subject: Re: [PATCH v2 00/14] Improve git-status --ignored

From: Karsten Blees <[email-masked]>
Date: Mon, 15 Apr 2013 22:06:23 +0200

Am 15.04.2013 21:33, schrieb Junio C Hamano:
> Junio C Hamano <[email-masked]> writes:
> 
>> Karsten Blees <[email-masked]> writes:
>>
>>> This patch series addresses several bugs and performance issues in
>>> .gitignore processing.
>>
>> A 8-patch series ending at 5d765dc7888b (dir.c: git-status: avoid
>> is_excluded checks for tracked files, 2013-03-18) has been cooking
>> in 'next'; in general we won't revert and requeue a new round for a
>> topic that has already merged to 'next'.
>>

I'm sorry to have caused such trouble. I thought you were expecting a reroll from this:

Am 19.03.2013 15:48, schrieb Junio C Hamano:
> Would we we better off kicking nd/read-directory-recursive-optim
> back to 'pu' (and eventually ejecting it) and replacing it with a
> reroll of Karsten's series when it comes, perhaps?

>> Is this "v2" an update for that topic?
> 
> Hmph, it seems to be the case.  I was hoping that the one in 'next'
> was basically in a good shape, not so broken to require a wholesale
> replacement like this.  Overall, this round of reroll seems to be
> better structured.
> 
> Let's revert the v1 from 'next', queue this one to 'pu', and make it
> advance slooowly this time.
> 

Thanks. I don't plan any more rerolls unless required by upcoming discussion.